"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @private
 * This is class which allows you to manipulate in memory representations of bot configuration
 * with no nodejs depedencies.
 */
class BotRecipe {
    /**
     * Creates a new BotRecipe instance.
     */
    constructor() {
        /**
         * Version of the recipe.
         */
        this.version = '1.0';
        /**
         *
         */
        this.resources = [];
        // noop
    }
    static fromJSON(source = {}) {
        const botRecipe = new BotRecipe();
        const { version, resources } = source;
        botRecipe.resources = resources ? resources : botRecipe.resources;
        botRecipe.version = version ? version : botRecipe.version;
        return botRecipe;
    }
    toJSON() {
        const { version, resources } = this;
        return { version, resources };
    }
}
exports.BotRecipe = BotRecipe;
//# sourceMappingURL=botRecipe.js.map