"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module botframework-config
 */
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
const schema_1 = require("../schema");
const azureService_1 = require("./azureService");
/**
 * Defines an blob storage service connection.
 */
class BlobStorageService extends azureService_1.AzureService {
    /**
     * Creates a new BlobStorageService instance.
     * @param source (Optional) JSON based service definition.
     */
    constructor(source = {}) {
        super(source, schema_1.ServiceTypes.BlobStorage);
    }
    encrypt(secret, encryptString) {
        if (this.connectionString && this.connectionString.length > 0) {
            this.connectionString = encryptString(this.connectionString, secret);
        }
    }
    decrypt(secret, decryptString) {
        if (this.connectionString && this.connectionString.length > 0) {
            this.connectionString = decryptString(this.connectionString, secret);
        }
    }
}
exports.BlobStorageService = BlobStorageService;
//# sourceMappingURL=blobStorageService.js.map