"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module botframework-config
 */
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
const schema_1 = require("../schema");
const azureService_1 = require("./azureService");
/**
 * Defines a CosmosDB service connection.
 */
class CosmosDbService extends azureService_1.AzureService {
    /**
     * Creates a new CosmosDBService instance.
     * @param source (Optional) JSON based service definition.
     */
    constructor(source = {}) {
        super(source, schema_1.ServiceTypes.CosmosDB);
    }
    // encrypt keys in service
    encrypt(secret, encryptString) {
        if (this.key && this.key.length > 0) {
            this.key = encryptString(this.key, secret);
        }
    }
    // decrypt keys in service
    decrypt(secret, decryptString) {
        if (this.key && this.key.length > 0) {
            this.key = decryptString(this.key, secret);
        }
    }
}
exports.CosmosDbService = CosmosDbService;
//# sourceMappingURL=cosmosDbService.js.map