"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module botframework-config
 */
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
const schema_1 = require("../schema");
const connectedService_1 = require("./connectedService");
/**
 * Defines an endpoint service connection.
 */
class EndpointService extends connectedService_1.ConnectedService {
    /**
     * Creates a new EndpointService instance.
     * @param source JSON based service definition.
     */
    constructor(source) {
        super(source, schema_1.ServiceTypes.Endpoint);
    }
    encrypt(secret, encryptString) {
        if (this.appPassword && this.appPassword.length > 0) {
            this.appPassword = encryptString(this.appPassword, secret);
        }
    }
    decrypt(secret, decryptString) {
        if (this.appPassword && this.appPassword.length > 0) {
            this.appPassword = decryptString(this.appPassword, secret);
        }
    }
}
exports.EndpointService = EndpointService;
//# sourceMappingURL=endpointService.js.map