"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module botframework-config
 */
/**
 * Copyright(c) Microsoft Corporation.All rights reserved.
 * Licensed under the MIT License.
 */
const schema_1 = require("../schema");
const connectedService_1 = require("./connectedService");
/**
 * Defines a generic service connection.
 */
class GenericService extends connectedService_1.ConnectedService {
    /**
     * Creates a new GenericService instance.
     * @param source (Optional) JSON based service definition.
     */
    constructor(source = {}) {
        super(source, schema_1.ServiceTypes.Generic);
    }
    encrypt(secret, encryptString) {
        const that = this;
        if (this.configuration) {
            Object.keys(this.configuration).forEach((prop) => {
                that.configuration[prop] = encryptString(that.configuration[prop], secret);
            });
        }
    }
    decrypt(secret, decryptString) {
        const that = this;
        if (this.configuration) {
            Object.keys(this.configuration).forEach((prop) => {
                that.configuration[prop] = decryptString(that.configuration[prop], secret);
            });
        }
    }
}
exports.GenericService = GenericService;
//# sourceMappingURL=genericService.js.map